Skip to content

patchCurrency

Request

Path
idinteger, (int32)required
Bodyapplication/jsonrequired
property name*anyadditional property
PATCH
/api/v1/currency/{id}
curl -i -X PATCH \
  'https://api.prana.software/api/v1/currency/{id}' \
  -H 'Content-Type: application/json' \
  -d '{
    "property1": null,
    "property2": null
  }'

Responses

OK

Bodyapplication/json
idinteger, (int32)required

Unique identifier of the object

Default:""
codestring, [ 0 .. 5 ] charactersrequired

Currency code.

Default:""
Example:"EUR"
descriptionstring, [ 0 .. 50 ] charactersrequired

Currency description or name.

Default:""
Example:"Euro"
accountobject(ApiChartAccountListReadDto)

Accounting chart account for this currency. See ChartAccountListReadDto.java for structure.

Default:""
nomenclaturestring, [ 0 .. 5 ] characters

Currency nomenclature code.

Default:""
Example:"EUR"
changeValuenumber

Exchange rate value.

Default:""
Example:1.15
isoCodestring(ApiCurrencyISOEnum)

ISO 4217 currency code.

Default:""
Enum:"AED""AFA""ALL""AMD""ANG""AOA""ARS""AUD""AWG""AZM"
significantDecimalsDocumentsinteger, (int32), [ 0 .. 6 ]

Number of significant decimal places for documents.

Default:""
Example:2
intermediateDecimalsDocumentsinteger, (int32), [ 0 .. 6 ]

Number of intermediate decimal places for documents.

Default:""
Example:4
decimalsCalculatePricesinteger, (int32), [ 0 .. 6 ]

Number of decimal places for price calculations.

Default:""
Example:6
decimalsCalculateCostsinteger, (int32), [ 0 .. 6 ]

Number of decimal places for cost calculations.

Default:""
Example:6
Response
// No response example